org.apache.flume.channel.file

## Class FileChannelConfiguration

- java.lang.Object
- - org.apache.flume.channel.file.FileChannelConfiguration

-     public class FileChannelConfiguration
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BACKUP_CHECKPOINT_DIR` The directory to which the checkpoint must be backed up
    `static String` | `CAPACITY` Maximum capacity of the channel.
    `static String` | `CHECKPOINT_DIR` Directory Checkpoints will be written in
    `static String` | `CHECKPOINT_INTERVAL` Interval at which checkpoints should be taken.
    `static String` | `CHKPT_ONCLOSE`
    `static String` | `COMPRESS_BACKUP_CHECKPOINT`
    `static String` | `DATA_DIRS` Directories data files will be written in.
    `static int` | `DEFAULT_CAPACITY`
    `static long` | `DEFAULT_CHECKPOINT_INTERVAL`
    `static Boolean` | `DEFAULT_CHKPT_ONCLOSE`
    `static boolean` | `DEFAULT_COMPRESS_BACKUP_CHECKPOINT`
    `static int` | `DEFAULT_FSYNC_INTERVAL`
    `static boolean` | `DEFAULT_FSYNC_PRE_TXN`
    `static int` | `DEFAULT_KEEP_ALIVE`
    `static long` | `DEFAULT_MAX_FILE_SIZE`
    `static long` | `DEFAULT_MINIMUM_REQUIRED_SPACE` Minimum space required defaults to 500MB
    `static int` | `DEFAULT_TRANSACTION_CAPACITY`
    `static boolean` | `DEFAULT_USE_DUAL_CHECKPOINTS`
    `static boolean` | `DEFAULT_USE_FAST_REPLAY`
    `static boolean` | `DEFAULT_USE_LOG_REPLAY_V1`
    `static long` | `FLOOR_MINIMUM_REQUIRED_SPACE` Minimum space floor is 1MB
    `static String` | `FSYNC_INTERVAL`
    `static String` | `FSYNC_PER_TXN`
    `static String` | `KEEP_ALIVE` The length of time we will wait for space available to do a Put.
    `static String` | `MAX_FILE_SIZE` Max file size for data files, cannot exceed the default.
    `static String` | `MINIMUM_REQUIRED_SPACE`
    `static String` | `TRANSACTION_CAPACITY` Maximum number of put/take events in a transaction.
    `static String` | `USE_DUAL_CHECKPOINTS`
    `static String` | `USE_FAST_REPLAY`
    `static String` | `USE_LOG_REPLAY_V1` Turn on Flume 1.2 log replay logic

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileChannelConfiguration()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHECKPOINT_DIR

          public static final String CHECKPOINT_DIR

      Directory Checkpoints will be written in
      See Also:
        Constant Field Values

    - #### BACKUP_CHECKPOINT_DIR

          public static final String BACKUP_CHECKPOINT_DIR

      The directory to which the checkpoint must be backed up
      See Also:
        Constant Field Values

    - #### DATA_DIRS

          public static final String DATA_DIRS

      Directories data files will be written in. Multiple directories can be specified as comma separated values. Writes will be written in a round robin fashion.
      See Also:
        Constant Field Values

    - #### TRANSACTION_CAPACITY

          public static final String TRANSACTION_CAPACITY

      Maximum number of put/take events in a transaction. Default: 1000
      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSACTION_CAPACITY

          public static final int DEFAULT_TRANSACTION_CAPACITY

      See Also:
        Constant Field Values

    - #### CHECKPOINT_INTERVAL

          public static final String CHECKPOINT_INTERVAL

      Interval at which checkpoints should be taken. Default 30s (ms)
      See Also:
        Constant Field Values

    - #### DEFAULT_CHECKPOINT_INTERVAL

          public static final long DEFAULT_CHECKPOINT_INTERVAL

      See Also:
        Constant Field Values

    - #### MAX_FILE_SIZE

          public static final String MAX_FILE_SIZE

      Max file size for data files, cannot exceed the default. Default~ 1.5GB
      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_FILE_SIZE

          public static final long DEFAULT_MAX_FILE_SIZE

      See Also:
        Constant Field Values

    - #### MINIMUM_REQUIRED_SPACE

          public static final String MINIMUM_REQUIRED_SPACE

      See Also:
        Constant Field Values

    - #### DEFAULT_MINIMUM_REQUIRED_SPACE

          public static final long DEFAULT_MINIMUM_REQUIRED_SPACE

      Minimum space required defaults to 500MB
      See Also:
        Constant Field Values

    - #### FLOOR_MINIMUM_REQUIRED_SPACE

          public static final long FLOOR_MINIMUM_REQUIRED_SPACE

      Minimum space floor is 1MB
      See Also:
        Constant Field Values

    - #### CAPACITY

          public static final String CAPACITY

      Maximum capacity of the channel. Default: 1,000,000
      See Also:
        Constant Field Values

    - #### DEFAULT_CAPACITY

          public static final int DEFAULT_CAPACITY

      See Also:
        Constant Field Values

    - #### KEEP_ALIVE

          public static final String KEEP_ALIVE

      The length of time we will wait for space available to do a Put. Default: 3 (seconds)
      See Also:
        Constant Field Values

    - #### DEFAULT_KEEP_ALIVE

          public static final int DEFAULT_KEEP_ALIVE

      See Also:
        Constant Field Values

    - #### USE_LOG_REPLAY_V1

          public static final String USE_LOG_REPLAY_V1

      Turn on Flume 1.2 log replay logic
      See Also:
        Constant Field Values

    - #### DEFAULT_USE_LOG_REPLAY_V1

          public static final boolean DEFAULT_USE_LOG_REPLAY_V1

      See Also:
        Constant Field Values

    - #### USE_FAST_REPLAY

          public static final String USE_FAST_REPLAY

      See Also:
        Constant Field Values

    - #### DEFAULT_USE_FAST_REPLAY

          public static final boolean DEFAULT_USE_FAST_REPLAY

      See Also:
        Constant Field Values

    - #### USE_DUAL_CHECKPOINTS

          public static final String USE_DUAL_CHECKPOINTS

      See Also:
        Constant Field Values

    - #### DEFAULT_USE_DUAL_CHECKPOINTS

          public static final boolean DEFAULT_USE_DUAL_CHECKPOINTS

      See Also:
        Constant Field Values

    - #### COMPRESS_BACKUP_CHECKPOINT

          public static final String COMPRESS_BACKUP_CHECKPOINT

      See Also:
        Constant Field Values

    - #### DEFAULT_COMPRESS_BACKUP_CHECKPOINT

          public static final boolean DEFAULT_COMPRESS_BACKUP_CHECKPOINT

      See Also:
        Constant Field Values

    - #### FSYNC_PER_TXN

          public static final String FSYNC_PER_TXN

      See Also:
        Constant Field Values

    - #### DEFAULT_FSYNC_PRE_TXN

          public static final boolean DEFAULT_FSYNC_PRE_TXN

      See Also:
        Constant Field Values

    - #### FSYNC_INTERVAL

          public static final String FSYNC_INTERVAL

      See Also:
        Constant Field Values

    - #### DEFAULT_FSYNC_INTERVAL

          public static final int DEFAULT_FSYNC_INTERVAL

      See Also:
        Constant Field Values

    - #### CHKPT_ONCLOSE

          public static final String CHKPT_ONCLOSE

      See Also:
        Constant Field Values

    - #### DEFAULT_CHKPT_ONCLOSE

          public static final Boolean DEFAULT_CHKPT_ONCLOSE

  - ### Constructor Detail

    - #### FileChannelConfiguration

          public FileChannelConfiguration()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.